﻿using System;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace GridViewCustomViewExample
{
    public partial class DetailElement : UserControl
    {
        GridViewDataRowInfo dataRow;

        public DetailElement()
        {
            InitializeComponent();
        }

        public void UpdateUCView(GridViewDataRowInfo dataRow)
        {
            this.dataRow = dataRow;

            string statusView;

            if (dataRow != null)
            {
                statusView = GetSafeString(dataRow.Cells["State"].Value.ToString());
                switch (statusView)
                {
                    case "Running":
                        //picBoxStatus.Image = Properties.Resources.start24;
                        break;
                    case "Paused":
                        //picBoxStatus.Image = Properties.Resources.pause24;
                        break;
                    case "Stopped":
                        //picBoxStatus.Image = Properties.Resources.stop_red24;
                        break;
                    default:
                        //picBoxStatus.Image = Properties.Resources.warning16;
                        break;
                }

                this.rTxtServiceOwner.Text = GetSafeString(dataRow.Cells["StartName"].Value.ToString());
                this.rTxtServiceType.Text = GetSafeString(dataRow.Cells["ServiceType"].Value.ToString());
                this.rChkTrackService.Checked = (bool)dataRow.Cells["TrackService"].Value;
            }
        }

        private string GetSafeString(string str)
        {
            return str;
        }

        private void rChkTrackService_ToggleStateChanged(object sender, StateChangedEventArgs args)
        {
            this.dataRow.Cells["TrackService"].Value = this.rChkTrackService.Checked;
        }
    }
}